﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using MVVMexample.ViewModels;
using MVVMexample.Views;
using MVVMexample.Views.UserControls;

namespace MVVMexample
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            MainWindowVM mainWindowVM = new MainWindowVM();
            mainWindowVM.MainContentControl = new BaseControl();
            mainWindowVM.makeData();

            var mainWindow = new MainWindowControl(mainWindowVM);
            
            mainWindow.Show();
        }
    }
}
